extends ../layout

block scripts
    script(src='/css/demo/default/custom/crud/forms/widgets/select2.js' type='text/javascript')

block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        // BEGIN: Subheader
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title.m-subheader__title--separator New Employee
                    ul.m-subheader__breadcrumbs.m-nav.m-nav--inline
                        li.m-nav__item.m-nav__item--home
                            a.m-nav__link.m-nav__link--icon(href='/dashboard')
                                i.m-nav__link-icon.la.la-home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/')
                                span.m-nav__link-text Home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employees')
                                span.m-nav__link-text Employees
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='#')
                                span.m-nav__link-text New Employee
        // END: Subheader
        .m-content
            .row
                .col-md-9.offset-md-2
                    // begin::Portlet
                    .m-portlet.m-portlet--tab
                        .m-portlet__head
                            .m-portlet__head-caption
                                .m-portlet__head-title
                                    span.m-portlet__head-icon.m--hide
                                        i.la.la-gear
                                    h3.m-portlet__head-text
                                        | Employee Details
                        // begin::Form
                        form(action='/employee/new', method='POST').m-form.m-form--fit.m-form--label-align-right
                            .m-portlet__body
                                .form-group.m-form__group.m--margin-top-10
                                    if(roles === 'There are no roles, please create one')
                                        .m-alert.m-alert--icon.alert.alert-primary(role='alert')
                                            .m-alert__icon
                                                i.la.la-info
                                            .m-alert__text
                                                p You haven't created any roles yet, you should have roles ready, before you add an employee.
                                                p You will be able to update the employee with suitable role later, so go ahead, and create one now.
                                            .m-alert__close
                                                button.close(type='button' data-close='alert' aria-label='Hide')
                                    .alert.m-alert.m-alert--default(role='alert')
                                        | Provide all required details here, select employee role type and make sure you click save.
                                .form-group.m-form__group
                                    label(for='email') Email
                                    .input-group.m-input-group
                                        .input-group-prepend
                                            span.input-group-text @
                                        input(type='hidden', name='_csrf', value=_csrf)
                                        input#email.form-control.m-input(type='text' name='email' placeholder='Email' aria-describedby='basic-addon1')
                                    span.m-form__help Email must be valid and in format ( username@provider )
                                .form-group.m-form__group
                                    label(for='fullname') Full Name
                                    .input-group.m-input-group
                                        input#fullname.form-control.m-input(type='text' name='name' placeholder='Full Name' aria-describedby='basic-addon2')
                                        .input-group-append
                                            span.input-group
                                                select#m_select2_3_validate.form-control.m-select2(name='gender')
                                                    option(value='Male' selected='selected') Male
                                                    option(value='Female') Female
                                    span.m-form__help Name must contain at least 3 characters. Please fill in full name.
                                .form-group.m-form__group
                                    label(for='phone') Phone Number
                                    .input-group
                                        .input-group-prepend
                                            span.input-group-text +
                                        input#phone.form-control.m-input(type='text' name="phone" aria-label='Phone number')
                                    span.m-form__help Phone number must have numeric format, usually contains more then 6 digits.
                                .form-group.m-form__group
                                    label(for='m_select2_3') Role
                                    .input-group.m-input-group
                                        select#m_select2_3.form-control.m-select2(name='role')
                                            each role in roles
                                                option(value=role._id) #{role.name}
                            .m-portlet__foot.m-portlet__foot--fit
                                .m-form__actions
                                    button.btn.btn-primary(type='submit') Save
                                    button.btn.btn-secondary(type='reset') Cancel
